{% set CodiceModulo = "COM_NUO_RES" %}
{% set Urn = "document:p_pc:nuovo.responsabile.tecnico;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
	{ "codice":"RESP_TEC_SEC",
		"urn":"document:p_pc:dich.sostitutiva.responsabile.tecnico;secondario",
		"descrizione_tabella_allegati":"Dichiarazione sostitutiva dell'atto di notorietà da parte dell'ispettore",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"",
		"filename":"dichiarazione ispettore",
		"numero":"1",
		"enabled":"true",
		"dynamic_check":"true",
		"tipo":"secondario"
		},
	{ "codice":"RIC-BOLLO",
		"urn":"document:p_pc:marche.bollo;versamento",
		"descrizione_tabella_allegati":"Attestazione di versamento delle marche da bollo",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"",
		"filename":"attestazione marche bollo",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"true",
		"dynamic_check":"true",
		"tipo":"allegato",
		"tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
		},
	{ "codice":"DAE-CDI",
		"urn":"document:s_italia:generale;documento.identita;documentazione",
		"descrizione_tabella_allegati":"copia del documento di identità",
		"annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
		"descrizione_meta":"",
		"filename":"Documento identita",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"",
		"tipo":"allegato",
		"tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
	}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Comunicazione di inserimento nell’organico di un’officina di revisione di veicoli di nuovo ispettore"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
		<meta codice_allegato="{{ allegato['codice'] }}"
		urn_allegato="{{ allegato['urn'] }}"
		descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
		filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
		firmatari="{{ allegato['firmatari'] }}"
		firmatari_label="{{ allegato['firmatari_label'] }}"
		firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
		numero="{{ allegato['numero'] }}"
		dimensione_massima="{{ allegato['dimensione'] }}"
		obbligatorio="DINAMICO"
		tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Comunicazione di inserimento nell’organico di un’officina di revisione di veicoli di nuovo ispettore {% endblock title %}

{% block content %}
  

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - inserimento in officina di revisione veicoli di nuovo ispettore'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Comunicazione di inserimento nell’organico di un’officina di revisione di veicoli di nuovo ispettore
</h1>

{{ anagrafica.societa("Titolare", "Il sottoscritto", ["Persona fisica", "Titolare", "Legale rappresentante"], "Richiedente", "visibility:visibility", "cursor:pointer", "mail_ordinaria", "false", "true") }}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<h3 class="Modulo">
  CHIEDE
</h3>

<p class="Modulo">
    di poter inserire nell’organizo del personale della sede operativa sita in
</p>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td colspan="9">
        <p class="Labelcella">
          Sede operativa
        </p>
      </td>
    </tr>
    {{ immobili.immobile_toponomastica_senzavalidazione_indentato(prefix="SedeOperativa", mandatory_enabled="true", label="sede operativa") }}
    <tr class="Rigaintestazioneridotta">
      <td colspan="3">
        <p class="Labelcella">
          Telefono
        </p>
      </td>
      <td colspan="6">
        <p class="Labelcella">
          Fax
        </p>
      </td>
    </tr>
    <tr style="border:0px;" mandatory_enabled="true">
      <td colspan="3">
        <input class="inputNormal" id="Parametri_TelefonoSede" name="Parametri_TelefonoSede" style="width: 100%;" label="Telefono" format="number" />
      </td>
      <td colspan="6">
        <input class="inputNormal" id="Parametri_FaxSede" name="Parametri_FaxSede" style="width: 100%;" label="Fax" />
      </td>
    </tr>
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="4">
        <p class="Labeltabella">
            i seguenti responsabili tecnici
        </p>
      </td>
    </tr>
        {% set num=5 %}
        {% set campi=[
            {
            "titolo":"Cognome",
            "label":"Cognome",
            "id":"Parametri_ResponsabiliCognome",
            "format":"",
            "carattere_speciale":"",
            "width":"25%",
            "options":""
            },  
              {
              "titolo":"Nome",
              "label":"Nome",
              "id":"Parametri_ResponsabiliNome",
              "format":"",
              "carattere_speciale":"",
              "width":"25%",
              "options":""
              },  
                {
                "titolo":"Data di nascita",
                "label":"Data di nascita",
                "id":"Parametri_ResponsabiliDataNascita",
                "format":"date",
                "carattere_speciale":"",
                "width":"25%",
                "options":""
                },  
                  {
                  "titolo":"Rapporto di lavoro (dipendente, collaboratore familiare, collaboratore professionale, associato in partecipazione)",
                  "label":"Rapporto di lavoro",
                  "id":"Parametri_ResponsabiliRapportoLavoro",
                  "format":"",
                  "carattere_speciale":"",
                  "width":"",
                  "options":""
                  },  
        ]%}
            {% for i in range(1, num) %}
              {% if loop.first %}  
                  <tr class="Rigaintestazioneridotta" style="border:0px;">
                    {% for campo in campi %}
                       <td {% if campo["width"]!='' %} style='width: {{ campo["width"] }};' {% endif %}>
                      <p class="Labelcella">
                        {{ campo["titolo"] }}
                      </p>
                    </td>  
                    {% endfor %}            
                  </tr>        
              {% endif %}
            {% if loop.first %}<tr mandatory="true" style="border:0px;"> {% else %}<tr style="border:0px;">{% endif %}
               {% for campo in campi %}
                  <td>
                    {% if campo["carattere_speciale"]!=''%}<p>{% endif %}    
                      {% if campo["options"] == ''%}<input {% else %} <select {% endif %} style="width: {% if campo['carattere_speciale']!='' %}{{5+(campi|length*10)}}{% else %}100{% endif %}%;"  label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %}{% endif %} class="inputNormal"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
                      {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
                    {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</p>{% endif %}
                  </td>      
                {% endfor %}  
            </tr>
          {% endfor %}
  </tbody>
</table>

<globo_salto_pagina></globo_salto_pagina>

<h3 class="Modulo">
  COMUNICA INOLTRE
</h3>

<p class="Modulo">
    che le sottoelencate persone non fanno più parte dell’organico dell’officina
</p>

    {% set num=4 %}
    {% set campi=[
        {
        "titolo":"Cognome",
        "label":"Cognome",
        "id":"Parametri_OrganicoCognome",
        "format":"",
        "carattere_speciale":"",
        "width":"25%",
        "options":""
        },  
          {
          "titolo":"Nome",
          "label":"Nome",
          "id":"Parametri_OrganicoNome",
          "format":"",
          "carattere_speciale":"",
          "width":"25%",
          "options":""
          },  
            {
            "titolo":"Data di nascita",
            "label":"Data di nascita",
            "id":"Parametri_OrganicoDataNascita",
            "format":"date",
            "carattere_speciale":"",
            "width":"25%",
            "options":""
            },  
              {
              "titolo":"Ruolo (responsabile o sostituto)",
              "label":"Ruolo",
              "id":"Parametri_OrganicoRuolo",
              "format":"",
              "carattere_speciale":"",
              "width":"",
              "options":""
              },  
    ]%}    
    <table class="Modulo" style="border: 1px solid grey;">
      <tbody>        
        {% for i in range(1, num) %}
          {% if loop.first %}  
              <tr class="Rigaintestazioneridotta" style="border:0px;">
                {% for campo in campi %}
                   <td {% if campo["width"]!='' %} style='width: {{ campo["width"] }};' {% endif %}>
                  <p class="Labelcella">
                    {{ campo["titolo"] }}
                  </p>
                </td>  
                {% endfor %}            
              </tr>        
          {% endif %}
        {% if loop.first %}<tr mandatory="true" style="border:0px;"> {% else %}<tr style="border:0px;">{% endif %}
           {% for campo in campi %}
              <td>
                {% if campo["carattere_speciale"]!=''%}<p>{% endif %}    
                  {% if campo["options"] == ''%}<input {% else %} <select {% endif %} style="width: {% if campo['carattere_speciale']!='' %}{{5+(campi|length*10)}}{% else %}100{% endif %}%;"  label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %}{% endif %} class="inputNormal"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
                  {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
                {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</p>{% endif %}
              </td>      
            {% endfor %}  
        </tr>
      {% endfor %}              
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="4">
        <p class="Labeltabella">
            che il quadro aggiornato dei responsabili tecnici costituenti l’organico dell’officina è il seguente
        </p>
      </td>
    </tr>
        {% set num=7 %}
        {% set campi=[
            {
            "titolo":"Cognome",
            "label":"Cognome",
            "id":"Parametri_QuadroCognome",
            "format":"",
            "carattere_speciale":"",
            "width":"25%",
            "options":""
            },  
              {
              "titolo":"Nome",
              "label":"Nome",
              "id":"Parametri_QuadroNome",
              "format":"",
              "carattere_speciale":"",
              "width":"25%",
              "options":""
              },  
                {
                "titolo":"Data di nascita",
                "label":"Data di nascita",
                "id":"Parametri_QuadroDataNascita",
                "format":"date",
                "carattere_speciale":"",
                "width":"25%",
                "options":""
                },  
                {
                    "titolo":"Ruolo (responsabile o sostituto)",
                    "label":"Ruolo",
                    "id":"Parametri_QuadroRuolo",
                    "format":"",
                    "carattere_speciale":"",
                    "width":"",
                    "options":""
                    },  
        ]%}
            {% for i in range(1, num) %}
              {% if loop.first %}  
                  <tr class="Rigaintestazioneridotta" style="border:0px;">
                    {% for campo in campi %}
                       <td {% if campo["width"]!='' %} style='width: {{ campo["width"] }};' {% endif %}>
                      <p class="Labelcella">
                        {{ campo["titolo"] }}
                      </p>
                    </td>  
                    {% endfor %}            
                  </tr>        
              {% endif %}
            {% if loop.first %}<tr mandatory="true" style="border:0px;"> {% else %}<tr style="border:0px;">{% endif %}
               {% for campo in campi %}
                  <td>
                    {% if campo["carattere_speciale"]!=''%}<p>{% endif %}    
                      {% if campo["options"] == ''%}<input {% else %} <select {% endif %} style="width: {% if campo['carattere_speciale']!='' %}{{5+(campi|length*10)}}{% else %}100{% endif %}%;"  label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %}{% endif %} class="inputNormal"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
                      {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
                    {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</p>{% endif %}
                  </td>      
                {% endfor %}  
            </tr>
          {% endfor %}
  </tbody>
</table>

<br/>

{{ utils.eventuali_annotazioni()}}

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width: 4%;">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
  <tr>
   <td>
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>


<br/>

{{ utils.trattamento_dati_personali() }}

<br/>

  <globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>
  <br/>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
